Downgraded from 2.2.1 to 1.0

Discussion in 'Jailbreaks and iOS Hacks' started by ppc750fx, Feb 14, 2009.

  1. ppc750fx macrumors 65816

    Joined:
    Aug 20, 2008
    #1
    No, I don't have any idea why I did it. I'm bored and I've got some fancy ARM-based hardware -- it was bound to happen eventually :p

    Anyways, some observations:

    - It's way, way faster than 2.x. It's even slightly faster than 1.1.4 IMO.
    - Transitions are different. They're slower, and (possibly) as a result they seem more fluid.
    - Applications launch pretty fast. (As they do with all 1.x.x firmwares.)
    - My Rebel SIM (v. 44) doesn't work.
    - The "You need to activate" screen is laid out differently. The 'i' is in a different spot and looks different than it does with later firmwares -- it looks kinda sloppy, almost as though they didn't anti-alias the bevel of the circle surrounding the 'i'.

    That's about it. Next up is 1.1.4, which I think I'll stay on for a while...
     
  2. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #2
    Just out of curiosity, what procedure did you follow to downgrade that far? Did you do a DFU+custom restore? Or is it more complicated?
     
  3. ppc750fx thread starter macrumors 65816

    Joined:
    Aug 20, 2008
    #3
    First, I downgraded from 2.2.1 to 1.1.4 using the established protocol (documented elsewhere).

    I used iTunes 7.5

    Once I was running 1.1.4, I dropped into DFU and flashed 1.0. To my surprise it worked, but the phone hung on restart. I went back to DFU and reflashed 1.0. Once the phone rebooted, I was greeted with the "you need to activate" screen. I used ZiPhone 3.0 to activate it (I know... it's dangerous, but it was the fastest tool for the job, and this is my experimental phone, so I wasn't too worried...) After that, I was all set.
     
  4. dlamin517 macrumors 6502

    Joined:
    Jul 12, 2008
    #4
    cmon dude. its valentines day, and you stayed at home downgrading your ipod's firmware. really?
     
  5. iParis macrumors 68040

    iParis

    Joined:
    Jul 29, 2008
    Location:
    New Mexico
    #5
    Interesting. I wonder if this is possible to do on an iPhone 3G, just because.
    How often does Safari crash?

    No, why would he do that!? That's lame.
    He spent his valentines day at home downgrading his iPhone's firmware.
     
  6. dlamin517 macrumors 6502

    Joined:
    Jul 12, 2008
    #6
    o well thats ok then. an iphones a different story. :/
     
  7. ppc750fx thread starter macrumors 65816

    Joined:
    Aug 20, 2008
    #7
    iPhone. And hell yes. :D

    I haven't done much browsing, but no crashes so far.
     
  8. iParis macrumors 68040

    iParis

    Joined:
    Jul 29, 2008
    Location:
    New Mexico
    #8
    I just realized something, was 1.0 ever available?
    I thought it was shipped with 1.1.
     
  9. tylertech macrumors regular

    Joined:
    Oct 24, 2008
    Location:
    NC
    #9
    I think the iPhone was released with 1.0, but the iPod Touch was only released with 1.1
     
  10. dlamin517 macrumors 6502

    Joined:
    Jul 12, 2008
    #10
    i am amazed that you are proud of this
     
  11. Sirobin macrumors 6502

    Sirobin

    Joined:
    May 6, 2008
    Location:
    California
  12. Haephestos macrumors regular

    Joined:
    Jan 26, 2009
    #12
    Please?
     
  13. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #13
    now you can use jailbreakme.com again, hahah :D.
     
  14. Knowlege Bomb macrumors 601

    Knowlege Bomb

    Joined:
    Feb 14, 2008
    Location:
    Madison, WI
    #14
    You guys do realize that for single people it's just another day right?
     
  15. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #15
    Well, for his sake I hope he's single. Because if not, he may now be. :)
     
  16. ppc750fx thread starter macrumors 65816

    Joined:
    Aug 20, 2008
    #16
    Was and still am.

    I actually forgot that it was Valentine's to be honest. Oh well.

    Anyways...

    Sure was. Still is, as it turns out.

    Unless I'm mistaken, 1.0 didn't support taking screenshots like the current firmwares do.
     
  17. macuser154 macrumors 6502

    Joined:
    Jan 17, 2009
    Location:
    UK
    #17
    You can download the software here:

    http://www.felixbruns.de/iPod/firmware/

    To install it, put your iPhone into DFU mode, you can use Pwnage tool to do this; Download here: http://iphone-dev.fgv6.net/PwnageTool_2.2.5.dmg

    Then when your iPhone is in DFU mode, open iTunes, download the software, then click the "Restore" button on iTunes while holding the "Option" key. iTunes will then open a window in which you can select the software you want to installed. It will then install and your done.
     
  18. ppc750fx thread starter macrumors 65816

    Joined:
    Aug 20, 2008
    #18
    That procedure doesn't always work, depending on the version of iTunes you have installed. Versions > 7.5 won't let you flash 1.1.4 to a device running 2.x. (IIRC) Versions < 7.7 won't let you flash 2.2.x. Plus, you can't downgrade from 2.2.1 to 1.0 directly. I know -- I tried.
     
  19. Ninja Dom macrumors 6502

    Ninja Dom

    Joined:
    Feb 12, 2007
    #19
    That doesn't work for downgrading from 2.x.x to the 1.x.x firmware's.
     
  20. iParis macrumors 68040

    iParis

    Joined:
    Jul 29, 2008
    Location:
    New Mexico
    #20
    Anybody know if I can downgrade my 2G iPod touch to 1.1 or 1.1.4? :p
     
  21. Nicholas.C macrumors 6502a

    Joined:
    Jun 24, 2008
    #21
    no you can't downgrade the 2g software to 1.1
     
  22. dlamin517 macrumors 6502

    Joined:
    Jul 12, 2008
    #22
    you realize that i am single yet i can go to a bar and meet women or go to the movies with my ladies friends. theres lots of options out there.
     
  23. Artificial-I macrumors newbie

    Joined:
    Jan 26, 2009
    #23
    Quick question did it change your baseband? Im wondering if anyone can shake the new 2.30 baseband.
     
  24. KingHuds macrumors 6502

    Joined:
    Aug 2, 2008
  25. Inconsequential macrumors 68000

    Joined:
    Sep 12, 2007
    #25
    It would brick your phone probably as the 3G needs different baseband/bootloader codes than the 1.1.4 or lower 2G software had...
     

Share This Page